Bug 1777862 - Datastream for RHEL8 is not included in the scap-security-guide RHEL7 package
Summary: Datastream for RHEL8 is not included in the scap-security-guide RHEL7 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jan Černý
QA Contact: Matus Marhefka
Jan Fiala
URL:
Whiteboard:
: 1769724 1811641 (view as bug list)
Depends On:
Blocks: 1749692 1716354
TreeView+ depends on / blocked
 
Reported: 2019-11-28 14:10 UTC by Marek Haicman
Modified: 2020-03-31 19:38 UTC (History)
10 users (show)

Fixed In Version: scap-security-guide-0.1.46-11.el7
Doc Type: Enhancement
Doc Text:
.SCAP Security Guide now supports scanning RHEL 8 systems from RHEL 7 The `scap-security-guide` package now contains SCAP content and Ansible playbooks for RHEL 8. This enables you to scan RHEL 8 systems and containers from a RHEL 7 environment.
Clone Of:
Environment:
Last Closed: 2020-03-31 19:38:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1019 None None None 2020-03-31 19:38:39 UTC

Description Marek Haicman 2019-11-28 14:10:41 UTC
Description of problem:
Currently, only JRE, Firefox, RHEL6 and RHEL7 datastreams are shipped in the package. To support scanning of RHEL8 machines, RHEL8 datastream shall be also available.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.43-13.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. ls /usr/share/xml/scap/ssg/content/*ds.xml
2.
3.

Actual results:
/usr/share/xml/scap/ssg/content/ssg-firefox-ds.xml
/usr/share/xml/scap/ssg/content/ssg-jre-ds.xml
/usr/share/xml/scap/ssg/content/ssg-rhel6-ds.xml
/usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml


Expected results:
/usr/share/xml/scap/ssg/content/ssg-firefox-ds.xml
/usr/share/xml/scap/ssg/content/ssg-jre-ds.xml
/usr/share/xml/scap/ssg/content/ssg-rhel6-ds.xml
/usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml
/usr/share/xml/scap/ssg/content/ssg-rhel8-ds.xml

Additional info:
Fix needs to be confirmed by the `atomic scan` use case tracked in Bug 1716354

Comment 3 Watson Yuuma Sato 2019-11-29 14:46:38 UTC
*** Bug 1769724 has been marked as a duplicate of this bug. ***

Comment 6 Jan Černý 2020-03-16 16:29:13 UTC
*** Bug 1811641 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2020-03-31 19:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1019


Note You need to log in before you can comment on or make changes to this bug.